diff --git a/vhdlparser/vhdlparser.jj b/vhdlparser/vhdlparser.jj
index fbae037..d338ccb 100644
--- a/vhdlparser/vhdlparser.jj
+++ b/vhdlparser/vhdlparser.jj
@@ -18,7 +18,7 @@ options {
   TOKEN_MANAGER_INCLUDES="VhdlParser.h";
 
  //OUTPUT_DIRECTORY = ".";
- //DEBUG_PARSER=true;
+ // DEBUG_PARSER=true;
  //DEBUG_LOOKAHEAD=true;
 
   }
@@ -106,20 +106,37 @@ SKIP:
 
 // VHDL 2008  comment /* .... */
 // VHDL 2008 doxygen comment /*! .... */
-SKIP :
+
+MORE :
 {
-  <MULT_DOXYGEN_VHDL_COMMENT_2008 : "/*!"  (~[])* "*/" >
-  {
+  "/*" : Comment
+}
+
+<Comment> SKIP :
+{
+  <"*/">
    {
-     QCString q(image.data());
-     q.stripPrefix("/*!");
-     q.resize(q.length()-2);
-     ::vhdl::parser::VhdlParser::handleCommentBlock(q.data(),TRUE);image.clear();
-   }
-  }
-  | <MULT_VHDL_2008_COMMENT : "/*"  (~[])* "*/" >  {::vhdl::parser::VhdlParser::lineCount(image.data());image.clear();}
+    QCString q(image.data());
+    //fprintf(stderr,"\n %s",image.data());
+     bool b=q.stripPrefix("/*!");
+     if(b) {
+       q.resize(q.length()-2);
+       ::vhdl::parser::VhdlParser::handleCommentBlock(q.data(),TRUE);
+      }
+     ::vhdl::parser::VhdlParser::lineCount(image.data());
+     image.clear();
+   
+  } : DEFAULT 
+   
 }
 
+<Comment> MORE :
+{
+  <~[]> 
+}
+
+
+
 /* KEYWORDS */
 
 TOKEN [IGNORE_CASE] :
